Bug 225114 - Review Request: jamin - JACK Audio Mastering interface
Review Request: jamin - JACK Audio Mastering interface
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-01-28 20:39 EST by Florin Andrei
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-31 14:22:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2007-01-28 20:39:11 EST
Spec URL: http://florin.myip.org/extras/jamin/jamin.spec
SRPM URL: http://florin.myip.org/extras/jamin/jamin-0.95.0-4.src.rpm
Description: Open source audio mastering application. Essential in finishing an audio / music project.
Comment 1 Anthony Green 2007-01-29 10:50:11 EST
Hi Florin - thanks for submitting this.  Here are some initial comments.

* desktop_vendor is no longer planetccrma.  
* For Source0, can you please put the full URL to the tarball?
* See the section "Handling Locale Files" in 
http://fedoraproject.org/wiki/Packaging/Guidelines
  We'll need to replace the "%{_datadir}/locale/*/LC_MESSAGES/jamin.mo"
  in %files with the find_lang stuff described in the wiki.

Also...

# rpmlint /usr/src/redhat/SRPMS/jamin-0.95.0-4.src.rpm 
W: jamin mixed-use-of-spaces-and-tabs (spaces: line 60, tab: line 1)

I don't know where this is coming from.  The spec file maybe?

AG

Comment 2 Florin Andrei 2007-01-29 23:15:42 EST
(In reply to comment #1)
> * desktop_vendor is no longer planetccrma.  

fixed

> * For Source0, can you please put the full URL to the tarball?

fixed

> * See the section "Handling Locale Files" in 
> http://fedoraproject.org/wiki/Packaging/Guidelines
>   We'll need to replace the "%{_datadir}/locale/*/LC_MESSAGES/jamin.mo"
>   in %files with the find_lang stuff described in the wiki.

fixed

> # rpmlint /usr/src/redhat/SRPMS/jamin-0.95.0-4.src.rpm 
> W: jamin mixed-use-of-spaces-and-tabs (spaces: line 60, tab: line 1)

fixed

I don't know if I have to bump the Release number after every rebuild like this,
so I'm just using the same number. Just re-download the same files from the URLs
above.
In the future, I will update the Release number if that's what's needed.
Comment 3 Anthony Green 2007-01-30 10:47:04 EST
Here's my review.  Note the single line with an X.  I would approve this package
once the Source0 line is tweaked, however I believe that we need to find a
sponsor for you since, from what I can tell, this appears to be your first
contribution.  
I've added a bugzilla dependency on FE-NEEDSPONSOR for now.

Also, my personal preference is to boost the release number on every update
during the review, but I don't think that's a requirement.

* package meets and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
  (This is a total nit-pick, but my personal preference is to align
   spec file field values like so...
http://people.redhat.com/green/FE/FC5/zynaddsubfx.spec )
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.
* License text included in package.
X source files match upstream (extracted from upstream cvs so no md5sum available.)
$ md5sum jamin-0.95.0.tar.gz /usr/src/redhat/SOURCES/jamin-0.95.0.tar.gz 
032f2a4a578a8938f76282112d56c8d6  jamin-0.95.0.tar.gz
032f2a4a578a8938f76282112d56c8d6  /usr/src/redhat/SOURCES/jamin-0.95.0.tar.gz

However, the source URL didn't work for me.  But this one does...
http://umn.dl.sourceforge.net/sourceforge/jamin/jamin-0.95.0.tar.gz

* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires and requires look sane:
jamin-0.95.0-4.fc6.i386.rpm
  jamincont_1912.so  
  jamin = 0.95.0-4
====
  hicolor-icon-theme
  ladspa-swh-plugins >= 0.4.7
  libatk-1.0.so.0
  libcairo.so.2
  libfftw3f.so.3
  libgdk-x11-2.0.so.0
  libgdk_pixbuf-2.0.so.0
  libglib-2.0.so.0
  libgmodule-2.0.so.0
  libgobject-2.0.so.0
  libgtk-x11-2.0.so.0
  libjack.so.0
  liblo >= 0.15
  liblo.so.0
  libpango-1.0.so.0
  libpangocairo-1.0.so.0
  libpthread.so.0
  libpthread.so.0(GLIBC_2.0)
  libpthread.so.0(GLIBC_2.1)
  libpthread.so.0(GLIBC_2.3.2)
  libxml2.so.2
* shared libraries are present, but no ldconfig required (it's a ladspa plugin).
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present
* scriptlets OK
* code, not content.
* docs look fine (there's no JAMin manual, right?)
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* .desktop file required, and it looks ifne.
* not a web app.
Comment 4 Mamoru TASAKA 2007-04-25 14:07:32 EDT
Just to confirm...

No one has reviewed this for 3 months. Florin, 
do you still want to import this to Fedora?

This is just I want to make it sure if you are
still watching this review request.

(In reply to comment #2)
> I don't know if I have to bump the Release number after every rebuild like
> this, so I'm just using the same number. 
You *have to*.

Well, from just I glanced at your spec file:
* Source URL
  - Please refer to
    http://fedoraproject.org/wiki/Packaging/SourceURL
    for sourceforge.net source URL

* Using autotool
  - Generally calling autotool is not preferred for
    several reasons.
    If possible, patch against configure, not configure.in,
    for example

* Deprecated categories
  - Categories "Application" "X-Fedora" are both deprecated
    for desktop file categories and should be removed.

* Directory ownership
  - _Perhaps_ %{_libdir}/ladspa is not owned by any package
    (I have not tried to rebuild this package)

* %exclude
  - Please don't use %exclude when it can. Just remove
    the file at %install stage.

* Mimeinfo
  - Please check "mimeinfo" section of
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 5 Mamoru TASAKA 2007-05-09 13:59:42 EDT
ping again?
Comment 6 Mamoru TASAKA 2007-05-17 13:25:17 EDT
one more ping?
Comment 7 Mamoru TASAKA 2007-05-24 11:55:51 EDT
I will close this bug as NOTABUG if no response from
reporter (submitter) is received in one week.
Comment 8 Mamoru TASAKA 2007-05-31 14:22:35 EDT
Closing as NOTABUG.

Please file a new review request if someone wants to
repackage and resubmit this software. Thank you!

Note You need to log in before you can comment on or make changes to this bug.